# BlancRay

Propose un dépôt blanc pour débuter un projet RayLib en C ou Python, sous Linux (par exemple sur les machines Horizon...).

La librairie RayLib est embarquée directement dans le projet par simplicité.

## Préparation:

Dans un terminal, mettre à jour le système (en temps que super utilisateur):

```bash
sudo apt update 
sudo apt upgrade
```

Puis installer les dépendances de RayLib:

```bash
sudo apt install libasound2-dev mesa-common-dev libx11-dev libxrandr-dev libxi-dev xorg-dev libgl1-mesa-dev libglu1-mesa-dev
```

## Installation:

Dans un terminal, cloner le projet blanc, et entrer dedans:

```bash
git clone http://gvipers.imt-lille-douai.fr/fatus/blancray.git BlancRay
cd BlancRay
```

### Exemple C :

Préparer la compilation avec CMake, dans un répertoire dédié:

```bash
mkdir build
cd build
cmake ..
```

Compiler avec make

```bash
make
```

Exécuter le programme ainsi généré :

```bash
./nw-viewer
```

Les consignes de compilation sont dans le fichier `CMakeFile.txt` (https://cmake.org/). Notez notamment la ligne 17 `add_executable(...)` qui crée un nouveau programme en y associant les sources requises, suivies, à la ligne suivante d'un `target_link_libraries(...)` qui associe à notre programme les binaires des librairies dont il dépend.

### Exemple Python:

Installer le pont entre python et raylib : 

```
pip3 install raylib-py
```

Entrer dans le répertoire de source-python et exécuter le script :

```
python3 pyray.py
```

Notez que **raylib-py** tourne sur une ancienne version de RayLib (la 2.0.0).

Les exemples RayLib en python se trouvent directement sur le github de raylib-py: [exemples](https://github.com/overdev/raylib-py/tree/master/examples)
